//
//  Duck.h
//  DuckSimulator
//
//  Created by Ken Anderson on 9/5/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FlyBehavior.h"
#import "QuackBehavior.h"

@interface Duck : NSObject

@property (nonatomic, retain) id <FlyBehavior> flyBehavior;
@property (nonatomic, retain) id <QuackBehavior> quackBehavior;

- (void) display;
- (void) fly;
- (void) quack;
- (void) swim;

@end
