//
//  QuietLog.m
//  DuckSimulator
//
//  Created by Ken Anderson on 9/5/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "QuietLog.h"

// Taken from Advanced Mac OS X Programming: The Big Nerd Ranch Guide, 3rd Edition by Mark Dalrymple

void QuietLog(NSString* format, ...) {
    va_list argList;
    
    va_start(argList, format);
    
    NSString* output;
    
    output = [[NSString alloc] initWithFormat:format arguments:argList];
    
    va_end(argList);
    
    printf("%s\n", [output UTF8String]);
    
    [output release];
    
}